Name:           ocaml-curses
Version:        1.0.3
Release:        %mkrel 9
Summary:        OCaml bindings for ncurses
Group:          Development/OCaml
License:        LGPLv2+
URL:            http://savannah.nongnu.org/projects/ocaml-tmk/
Source0:        http://download.savannah.gnu.org/releases/ocaml-tmk/%{name}-%{version}.tar.gz
BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib-devel, ncurses-devel
BuildRequires:  gawk

# Doesn't include a configure script, so we have to make one.
BuildRequires:  autoconf, automake, libtool

%description
OCaml bindings for ncurses.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q
autoreconf

%build
%configure --enable-widec
make all opt
strip dllcurses_stubs.so

%install
rm -rf %{buildroot}

export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
ocamlfind install curses META *.cmi *.cmx *.cma *.cmxa *.a *.so *.mli

%files
%doc COPYING CHANGES
%dir %{_libdir}/ocaml/curses
%{_libdir}/ocaml/curses/META
%{_libdir}/ocaml/curses/*.cmi
%{_libdir}/ocaml/curses/*.cma
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%{_libdir}/ocaml/curses/*.a
%{_libdir}/ocaml/curses/*.cmxa
%{_libdir}/ocaml/curses/*.cmx
%{_libdir}/ocaml/curses/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.3-9.mga3
+ Revision: 361266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.0.3-8.mga3
+ Revision: 301437
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.0.3-6.mga3
+ Revision: 300063
- new rpm group for ocaml

* Mon Oct 03 2011 shlomif <shlomif> 1.0.3-5.mga2
+ Revision: 151308
- Rebuild for new ocaml. Thanks to Malo

* Sun Oct 02 2011 fwang <fwang> 1.0.3-4.mga2
+ Revision: 150910
- fix group
- rebuild for new ocaml

* Mon Mar 21 2011 saispo <saispo> 1.0.3-1.mga1
+ Revision: 75203
- imported package ocaml-curses

